org.encog.neural.networks.training.concurrent.jobs

## Class BPROPJob

- java.lang.Object
- - org.encog.neural.networks.training.concurrent.jobs.TrainingJob
  - - org.encog.neural.networks.training.concurrent.jobs.BPROPJob

-     public class BPROPJob
      extends TrainingJob

  A training definition for BPROP training.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BPROPJob(BasicNetwork network, MLDataSet training, boolean loadToMemory, double learningRate, double momentum)` Construct a job definition for RPROP.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createTrainer(boolean singleThreaded)` Create a trainer to use.
    `double` | `getLearningRate()`
    `double` | `getMomentum()`
    `void` | `setLearningRate(double learningRate)`
    `void` | `setMomentum(double momentum)`

    - ### Methods inherited from class org.encog.neural.networks.training.concurrent.jobs.TrainingJob

      `getError, getNetwork, getStrategies, getTrain, getTraining, isLoadToMemory, setError, setLoadToMemory, setNetwork, setTrain, setTraining, shouldContinue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BPROPJob

          public BPROPJob(BasicNetwork network,
                  MLDataSet training,
                  boolean loadToMemory,
                  double learningRate,
                  double momentum)

      Construct a job definition for RPROP. For more information on backprop, see the Backpropagation class. Use OpenCLratio of 1.0 and process one iteration per cycle.
      Parameters:
        `network` - The network to use.
        `training` - The training data to use.
        `loadToMemory` - Should binary data be loaded to memory?
        `learningRate` - THe learning rate to use.
        `momentum` - The momentum to use.

  - ### Method Detail

    - #### createTrainer

          public void createTrainer(boolean singleThreaded)

      Create a trainer to use.
      Specified by:
        `createTrainer` in class `TrainingJob`

    - #### getLearningRate

          public double getLearningRate()

      Returns:
        the learningRate

    - #### getMomentum

          public double getMomentum()

      Returns:
        the momentum

    - #### setLearningRate

          public void setLearningRate(double learningRate)

      Parameters:
        `learningRate` - the learningRate to set

    - #### setMomentum

          public void setMomentum(double momentum)

      Parameters:
        `momentum` - the momentum to set

Copyright © 2014. All Rights Reserved.